# Type Alias ParseOptions

type ParseOptions = {
baseURL?: string;
jsonp?: boolean;
shortPath?: boolean;
transform?: THREE.Matrix4 | number[];
workCode?: string | ((input: any) => string);
}

#### Hierarchy (View Summary)

- ParseOptions
  - LooseWorkWithExtrinsics

- Defined in lib/five/work/work.ts:329

##### Index

### Properties

baseURL?
jsonp?
shortPath?
transform?
workCode?

## Properties

### `Optional` baseURL

baseURL?: string

重写资源前缀

- Defined in lib/five/work/work.ts:338

### `Optional` jsonp

jsonp?: boolean

资源使用 jsonp 方式发布

- Defined in lib/five/work/work.ts:344

### `Optional` shortPath

shortPath?: boolean

资源地址使用短地址

- Defined in lib/five/work/work.ts:341

### `Optional` transform

transform?: THREE.Matrix4 | number[]

位姿

- Defined in lib/five/work/work.ts:332

### `Optional` workCode

workCode?: string | ((input: any) => string)

重置 WorkCode

- Defined in lib/five/work/work.ts:335